Package com.collibra.dgc.core.api.dto.meta.path

# Class TagCollectionFilterRequest

Object
TagCollectionFilterRequest

All Implemented Interfaces:
  `Serializable`

public class TagCollectionFilterRequest extends Object implements Serializable
Specifies the details for a tag collection filter.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `TagCollectionFilterRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TagCollectionFilterRequest()`
  `TagCollectionFilterRequest(StringFilterRequest none, StringFilterRequest any, Boolean isEmpty)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TagCollectionFilterRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `StringFilterRequest`
  `getAny()`
  `Boolean`
  `getIsEmpty()`
  `StringFilterRequest`
  `getNone()`
  `int`
  `hashCode()`
  `void`
  `setAny(StringFilterRequest any)`
  `void`
  `setIsEmpty(Boolean isEmpty)`
  `void`
  `setNone(StringFilterRequest none)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TagCollectionFilterRequest

    public TagCollectionFilterRequest()

  - ### TagCollectionFilterRequest

    public TagCollectionFilterRequest(StringFilterRequest none, StringFilterRequest any, Boolean isEmpty)

- ## Method Details

  - ### builder

    public static TagCollectionFilterRequest.Builder builder()

  - ### getNone

    public StringFilterRequest getNone()

  - ### getAny

    public StringFilterRequest getAny()

  - ### getIsEmpty

    public Boolean getIsEmpty()

  - ### setNone

    public void setNone(StringFilterRequest none)

  - ### setAny

    public void setAny(StringFilterRequest any)

  - ### setIsEmpty

    public void setIsEmpty(Boolean isEmpty)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`